Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdpinternal.parlayx.multimedia_messaging
Class ActivationUtil

    java.lang.Object
      oracle.sdpinternal.parlayx.multimedia_messaging.ActivationUtil

    public class ActivationUtil

extends Object

Since:
  release specific (what release of product did this appear in) Utility class for dealing with Java Activation Framework details

Constructor Summary
`ActivationUtil()`

Method Summary
`static boolean` | `isObjectDataHandler(javax.mail.BodyPart bp)` Determine if this BodyPart's DataHandler was constructed using an Object or a DataSource.
`static boolean` | `isObjectDataHandler(javax.activation.DataHandler dh)` Determine if this DataHandler was constructed using an Object or a DataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationUtil

    public ActivationUtil()

Method Detail

### isObjectDataHandler

    public static boolean isObjectDataHandler(javax.mail.BodyPart bp)
                                       throws javax.mail.MessagingException

  Determine if this BodyPart's DataHandler was constructed using an Object or a DataSource. If constructed using an Object, the DataSource type will be the internal javax.activation class "DataHandlerDataSource".

  Parameters:
    `ds` -
  Returns:
  Throws:
    `javax.mail.MessagingException`

### isObjectDataHandler

    public static boolean isObjectDataHandler(javax.activation.DataHandler dh)

  Determine if this DataHandler was constructed using an Object or a DataSource. If constructed using an Object, the DataSource type will be the internal javax.activation class "DataHandlerDataSource".

  Parameters:
    `ds` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.